Package org.apache.catalina.tribes

# Interface MessageListener

All Known Implementing Classes:
  `ChannelCoordinator`, `McastService`

public interface MessageListener
The listener to be registered with the ChannelReceiver, internal Tribes component.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `accept(ChannelMessage msg)`
  Allows skipping processing of the specified message.
  `void`
  `messageReceived(ChannelMessage msg)`
  Receive a message from the IO components in the Channel stack

- ## Method Details

  - ### messageReceived

    void messageReceived(ChannelMessage msg)
    Receive a message from the IO components in the Channel stack
    Parameters:
      `msg` - the message

  - ### accept

    boolean accept(ChannelMessage msg)
    Allows skipping processing of the specified message.
    Parameters:
      `msg` - the message
    Returns:
      `true` if the message will be processed